const express = require("express");
const app = express();
const bilder = require("./models/bilder");

app.set("view engine", "ejs");
app.set("views", "views");
const router = express.Router();
app.use(express.static("public"));

router.get("/", function (req, res) {
  let bildData;
  if (req.query.data) {
    try {
      const data = JSON.parse(req.query.data);
      bildData = bilder.holeBildMitIndex(data.index);
    } catch (e) {
      bildData = bilder.holeStartBild();
    }
  } else {
    bildData = bilder.holeStartBild();
  }
  
  res.render("home", {
    bildData: bildData,
    nextData: JSON.stringify(bilder.vor(bildData.index)),
    prevData: JSON.stringify(bilder.zurueck(bildData.index)),
  });
});

app.use(router);
app.listen(8910);